<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__dma__channel__functions" kind="group">
    <compoundname>group_dma_channel_functions</compoundname>
    <title>Channel Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1gab0beed3c05362206ac66fc4327d8964b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__dma__enums_1gafbef983fffc7c7bb724322e8f64d32e5">cy_en_dma_status_t</ref></type>
        <definition>cy_en_dma_status_t Cy_DMA_Channel_Init</definition>
        <argsstring>(DW_Type *base, uint32_t channel, cy_stc_dma_channel_config_t const *channelConfig)</argsstring>
        <name>Cy_DMA_Channel_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__dma__channel__config__t">cy_stc_dma_channel_config_t</ref> const *</type>
          <declname>channelConfig</declname>
        </param>
        <briefdescription>
<para>Initializes the DMA channel with a descriptor and other parameters. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>A channel number.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channelConfig</parametername>
</parameternamelist>
<parameterdescription>
<para>The structure that has the initialization information for the channel.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status /ref cy_en_dma_status_t.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Initialize<sp />a<sp />1D<sp />descriptor<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />DATACNT<sp />(8UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref><sp />descriptor;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref><sp />nextDescriptor;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />src[DATACNT];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />dst[DATACNT];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__config__t">cy_stc_dma_descriptor_config_t</ref><sp />descriptor_cfg<sp />=<sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.<ref kindref="member" refid="structcy__stc__dma__descriptor__config__t_1afcc039279bc1e7d50b0813778772f3c0">retrigger</ref><sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga8ea649c82d5e7d4d4bd72403468aadeea0bf275b3b0a14445f5adb266865664ee">CY_DMA_RETRIG_IM</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.interruptType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.triggerOutType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.channelState<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga75740ce8bf02f62bc9e6c86307369f67a7f4266bff1786e17ba9b892ba03334db">CY_DMA_CHANNEL_ENABLED</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.triggerInType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dataSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga167a5222a0d666c6ce9e8382e56ac192a06aa9f141fdba0572953b0ffe8972ccc">CY_DMA_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcTransferSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga2e6a1fad6945ca581ebd0fdbb8748314a559ffa18c8d6862e31c444eed54de51e">CY_DMA_TRANSFER_SIZE_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstTransferSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga2e6a1fad6945ca581ebd0fdbb8748314a559ffa18c8d6862e31c444eed54de51e">CY_DMA_TRANSFER_SIZE_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.descriptorType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga69516534f5a562e8a2f55bb4203851d0a7d12c181e7b926a71c7c30eb77ac8955">CY_DMA_1D_TRANSFER</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcAddress<sp />=<sp />&amp;src,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstAddress<sp />=<sp />&amp;dst,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcXincrement<sp />=<sp />1U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstXincrement<sp />=<sp />1U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.xCount<sp />=<sp />DATACNT,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcYincrement<sp />=<sp />0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstYincrement<sp />=<sp />0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.yCount<sp />=<sp />1UL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.nextDescriptor<sp />=<sp />&amp;nextDescriptor,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a5223359d0e1e316300e678afaa8cee96">CY_DMA_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dma__descriptor__functions_1gab1610fab6f2dd5fd25c031ac0aa9d8cb">Cy_DMA_Descriptor_Init</ref>(&amp;descriptor,<sp />&amp;descriptor_cfg))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Setup<sp />and<sp />enable<sp />the<sp />DMA<sp />channel<sp />0<sp />of<sp />block<sp />DW0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__channel__config__t">cy_stc_dma_channel_config_t</ref><sp />channelConfig;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1aab3204617ecee2a57b1f76832966227d">preemptable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1a018bbd8e3039b78ad16f9c0536dde3c0">enable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1aa40017613f97a28e2802e072fdf38817">bufferable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a5223359d0e1e316300e678afaa8cee96">CY_DMA_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gab0beed3c05362206ac66fc4327d8964b">Cy_DMA_Channel_Init</ref>(DW0,<sp />0UL,<sp />&amp;channelConfig))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga4c5cca40de761c4b7827ce65538bf12d">Cy_DMA_Channel_SetDescriptor</ref>(DW0,<sp />0UL,<sp />&amp;descriptor);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gae088032ef5679610fdcbea8d1b4a3cd3">Cy_DMA_Channel_SetPriority</ref>(DW0,<sp />0UL,<sp />3UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga13e6923cafe660ba825ba6d5b1841bf7">Cy_DMA_Channel_Enable</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__block__functions_1gad14b53935dc8321f395e49a7dfec2c5a">Cy_DMA_Enable</ref>(DW0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="264" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_dma.c" bodystart="240" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="512" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1gae2821469d78001afc568b0e484f684c1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_DMA_Channel_DeInit</definition>
        <argsstring>(DW_Type *base, uint32_t channel)</argsstring>
        <name>Cy_DMA_Channel_DeInit</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Clears the content of registers corresponding to the channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>A channel number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />the<sp />DMA<sp />channel<sp />0<sp />of<sp />block<sp />DW0<sp />if<sp />it's<sp />priority<sp />equals<sp />3<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(3UL<sp />==<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga29e33eb65906b09e28669d62d2e1b546">Cy_DMA_Channel_GetPriority</ref>(DW0,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp /><ref kindref="member" refid="group__group__dma__block__functions_1ga20b7caf0e766daf03db12644c8dff173">Cy_DMA_GetActiveChannel</ref>(DW0))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga84ff3039034f39eb11962f19b1b2bae1">Cy_DMA_Channel_Disable</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gae2821469d78001afc568b0e484f684c1">Cy_DMA_Channel_DeInit</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />if<sp />needed<sp />(if<sp />there<sp />is<sp />only<sp />channel<sp />used)<sp />the<sp />whole<sp />block<sp />can<sp />be<sp />disabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__block__functions_1gada1f6b4da0ec1e3c54c07173a1bd4357">Cy_DMA_Disable</ref>(DW0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="291" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_dma.c" bodystart="283" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="513" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1ga4c5cca40de761c4b7827ce65538bf12d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_DMA_Channel_SetDescriptor</definition>
        <argsstring>(DW_Type *base, uint32_t channel, cy_stc_dma_descriptor_t const *descriptor)</argsstring>
        <name>Cy_DMA_Channel_SetDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref> const *</type>
          <declname>descriptor</declname>
        </param>
        <briefdescription>
<para>Sets a descriptor as current for the specified DMA channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descriptor</parametername>
</parameternamelist>
<parameterdescription>
<para>This is the descriptor to be associated with the channel.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Initialize<sp />a<sp />1D<sp />descriptor<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />DATACNT<sp />(8UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref><sp />descriptor;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref><sp />nextDescriptor;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />src[DATACNT];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />dst[DATACNT];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__config__t">cy_stc_dma_descriptor_config_t</ref><sp />descriptor_cfg<sp />=<sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.<ref kindref="member" refid="structcy__stc__dma__descriptor__config__t_1afcc039279bc1e7d50b0813778772f3c0">retrigger</ref><sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga8ea649c82d5e7d4d4bd72403468aadeea0bf275b3b0a14445f5adb266865664ee">CY_DMA_RETRIG_IM</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.interruptType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.triggerOutType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.channelState<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga75740ce8bf02f62bc9e6c86307369f67a7f4266bff1786e17ba9b892ba03334db">CY_DMA_CHANNEL_ENABLED</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.triggerInType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dataSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga167a5222a0d666c6ce9e8382e56ac192a06aa9f141fdba0572953b0ffe8972ccc">CY_DMA_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcTransferSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga2e6a1fad6945ca581ebd0fdbb8748314a559ffa18c8d6862e31c444eed54de51e">CY_DMA_TRANSFER_SIZE_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstTransferSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga2e6a1fad6945ca581ebd0fdbb8748314a559ffa18c8d6862e31c444eed54de51e">CY_DMA_TRANSFER_SIZE_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.descriptorType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga69516534f5a562e8a2f55bb4203851d0a7d12c181e7b926a71c7c30eb77ac8955">CY_DMA_1D_TRANSFER</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcAddress<sp />=<sp />&amp;src,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstAddress<sp />=<sp />&amp;dst,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcXincrement<sp />=<sp />1U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstXincrement<sp />=<sp />1U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.xCount<sp />=<sp />DATACNT,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcYincrement<sp />=<sp />0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstYincrement<sp />=<sp />0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.yCount<sp />=<sp />1UL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.nextDescriptor<sp />=<sp />&amp;nextDescriptor,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a5223359d0e1e316300e678afaa8cee96">CY_DMA_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dma__descriptor__functions_1gab1610fab6f2dd5fd25c031ac0aa9d8cb">Cy_DMA_Descriptor_Init</ref>(&amp;descriptor,<sp />&amp;descriptor_cfg))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Setup<sp />and<sp />enable<sp />the<sp />DMA<sp />channel<sp />0<sp />of<sp />block<sp />DW0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__channel__config__t">cy_stc_dma_channel_config_t</ref><sp />channelConfig;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1aab3204617ecee2a57b1f76832966227d">preemptable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1a018bbd8e3039b78ad16f9c0536dde3c0">enable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1aa40017613f97a28e2802e072fdf38817">bufferable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a5223359d0e1e316300e678afaa8cee96">CY_DMA_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gab0beed3c05362206ac66fc4327d8964b">Cy_DMA_Channel_Init</ref>(DW0,<sp />0UL,<sp />&amp;channelConfig))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga4c5cca40de761c4b7827ce65538bf12d">Cy_DMA_Channel_SetDescriptor</ref>(DW0,<sp />0UL,<sp />&amp;descriptor);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gae088032ef5679610fdcbea8d1b4a3cd3">Cy_DMA_Channel_SetPriority</ref>(DW0,<sp />0UL,<sp />3UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga13e6923cafe660ba825ba6d5b1841bf7">Cy_DMA_Channel_Enable</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__block__functions_1gad14b53935dc8321f395e49a7dfec2c5a">Cy_DMA_Enable</ref>(DW0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1529" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1523" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="514" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1ga13e6923cafe660ba825ba6d5b1841bf7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_DMA_Channel_Enable</definition>
        <argsstring>(DW_Type *base, uint32_t channel)</argsstring>
        <name>Cy_DMA_Channel_Enable</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>The function is used to enable a DMA channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Initialize<sp />a<sp />1D<sp />descriptor<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />DATACNT<sp />(8UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref><sp />descriptor;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref><sp />nextDescriptor;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />src[DATACNT];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />dst[DATACNT];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__config__t">cy_stc_dma_descriptor_config_t</ref><sp />descriptor_cfg<sp />=<sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.<ref kindref="member" refid="structcy__stc__dma__descriptor__config__t_1afcc039279bc1e7d50b0813778772f3c0">retrigger</ref><sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga8ea649c82d5e7d4d4bd72403468aadeea0bf275b3b0a14445f5adb266865664ee">CY_DMA_RETRIG_IM</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.interruptType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.triggerOutType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.channelState<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga75740ce8bf02f62bc9e6c86307369f67a7f4266bff1786e17ba9b892ba03334db">CY_DMA_CHANNEL_ENABLED</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.triggerInType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dataSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga167a5222a0d666c6ce9e8382e56ac192a06aa9f141fdba0572953b0ffe8972ccc">CY_DMA_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcTransferSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga2e6a1fad6945ca581ebd0fdbb8748314a559ffa18c8d6862e31c444eed54de51e">CY_DMA_TRANSFER_SIZE_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstTransferSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga2e6a1fad6945ca581ebd0fdbb8748314a559ffa18c8d6862e31c444eed54de51e">CY_DMA_TRANSFER_SIZE_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.descriptorType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga69516534f5a562e8a2f55bb4203851d0a7d12c181e7b926a71c7c30eb77ac8955">CY_DMA_1D_TRANSFER</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcAddress<sp />=<sp />&amp;src,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstAddress<sp />=<sp />&amp;dst,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcXincrement<sp />=<sp />1U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstXincrement<sp />=<sp />1U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.xCount<sp />=<sp />DATACNT,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcYincrement<sp />=<sp />0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstYincrement<sp />=<sp />0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.yCount<sp />=<sp />1UL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.nextDescriptor<sp />=<sp />&amp;nextDescriptor,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a5223359d0e1e316300e678afaa8cee96">CY_DMA_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dma__descriptor__functions_1gab1610fab6f2dd5fd25c031ac0aa9d8cb">Cy_DMA_Descriptor_Init</ref>(&amp;descriptor,<sp />&amp;descriptor_cfg))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Setup<sp />and<sp />enable<sp />the<sp />DMA<sp />channel<sp />0<sp />of<sp />block<sp />DW0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__channel__config__t">cy_stc_dma_channel_config_t</ref><sp />channelConfig;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1aab3204617ecee2a57b1f76832966227d">preemptable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1a018bbd8e3039b78ad16f9c0536dde3c0">enable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1aa40017613f97a28e2802e072fdf38817">bufferable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a5223359d0e1e316300e678afaa8cee96">CY_DMA_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gab0beed3c05362206ac66fc4327d8964b">Cy_DMA_Channel_Init</ref>(DW0,<sp />0UL,<sp />&amp;channelConfig))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga4c5cca40de761c4b7827ce65538bf12d">Cy_DMA_Channel_SetDescriptor</ref>(DW0,<sp />0UL,<sp />&amp;descriptor);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gae088032ef5679610fdcbea8d1b4a3cd3">Cy_DMA_Channel_SetPriority</ref>(DW0,<sp />0UL,<sp />3UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga13e6923cafe660ba825ba6d5b1841bf7">Cy_DMA_Channel_Enable</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__block__functions_1gad14b53935dc8321f395e49a7dfec2c5a">Cy_DMA_Enable</ref>(DW0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1553" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1548" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="515" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1ga84ff3039034f39eb11962f19b1b2bae1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_DMA_Channel_Disable</definition>
        <argsstring>(DW_Type *base, uint32_t channel)</argsstring>
        <name>Cy_DMA_Channel_Disable</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>The function is used to disable a DMA channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />the<sp />DMA<sp />channel<sp />0<sp />of<sp />block<sp />DW0<sp />if<sp />it's<sp />priority<sp />equals<sp />3<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(3UL<sp />==<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga29e33eb65906b09e28669d62d2e1b546">Cy_DMA_Channel_GetPriority</ref>(DW0,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp /><ref kindref="member" refid="group__group__dma__block__functions_1ga20b7caf0e766daf03db12644c8dff173">Cy_DMA_GetActiveChannel</ref>(DW0))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga84ff3039034f39eb11962f19b1b2bae1">Cy_DMA_Channel_Disable</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gae2821469d78001afc568b0e484f684c1">Cy_DMA_Channel_DeInit</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />if<sp />needed<sp />(if<sp />there<sp />is<sp />only<sp />channel<sp />used)<sp />the<sp />whole<sp />block<sp />can<sp />be<sp />disabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__block__functions_1gada1f6b4da0ec1e3c54c07173a1bd4357">Cy_DMA_Disable</ref>(DW0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1577" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1572" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="516" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1gae088032ef5679610fdcbea8d1b4a3cd3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_DMA_Channel_SetPriority</definition>
        <argsstring>(DW_Type *base, uint32_t channel, uint32_t priority)</argsstring>
        <name>Cy_DMA_Channel_SetPriority</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>priority</declname>
        </param>
        <briefdescription>
<para>The function is used to set a priority for the DMA channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority to be set for the DMA channel. The allowed values are 0,1,2,3.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Initialize<sp />a<sp />1D<sp />descriptor<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />DATACNT<sp />(8UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref><sp />descriptor;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref><sp />nextDescriptor;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />src[DATACNT];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />dst[DATACNT];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__config__t">cy_stc_dma_descriptor_config_t</ref><sp />descriptor_cfg<sp />=<sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.<ref kindref="member" refid="structcy__stc__dma__descriptor__config__t_1afcc039279bc1e7d50b0813778772f3c0">retrigger</ref><sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga8ea649c82d5e7d4d4bd72403468aadeea0bf275b3b0a14445f5adb266865664ee">CY_DMA_RETRIG_IM</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.interruptType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.triggerOutType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.channelState<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga75740ce8bf02f62bc9e6c86307369f67a7f4266bff1786e17ba9b892ba03334db">CY_DMA_CHANNEL_ENABLED</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.triggerInType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dataSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga167a5222a0d666c6ce9e8382e56ac192a06aa9f141fdba0572953b0ffe8972ccc">CY_DMA_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcTransferSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga2e6a1fad6945ca581ebd0fdbb8748314a559ffa18c8d6862e31c444eed54de51e">CY_DMA_TRANSFER_SIZE_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstTransferSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga2e6a1fad6945ca581ebd0fdbb8748314a559ffa18c8d6862e31c444eed54de51e">CY_DMA_TRANSFER_SIZE_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.descriptorType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga69516534f5a562e8a2f55bb4203851d0a7d12c181e7b926a71c7c30eb77ac8955">CY_DMA_1D_TRANSFER</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcAddress<sp />=<sp />&amp;src,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstAddress<sp />=<sp />&amp;dst,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcXincrement<sp />=<sp />1U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstXincrement<sp />=<sp />1U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.xCount<sp />=<sp />DATACNT,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcYincrement<sp />=<sp />0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstYincrement<sp />=<sp />0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.yCount<sp />=<sp />1UL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.nextDescriptor<sp />=<sp />&amp;nextDescriptor,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a5223359d0e1e316300e678afaa8cee96">CY_DMA_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dma__descriptor__functions_1gab1610fab6f2dd5fd25c031ac0aa9d8cb">Cy_DMA_Descriptor_Init</ref>(&amp;descriptor,<sp />&amp;descriptor_cfg))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Setup<sp />and<sp />enable<sp />the<sp />DMA<sp />channel<sp />0<sp />of<sp />block<sp />DW0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__channel__config__t">cy_stc_dma_channel_config_t</ref><sp />channelConfig;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1aab3204617ecee2a57b1f76832966227d">preemptable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1a018bbd8e3039b78ad16f9c0536dde3c0">enable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1aa40017613f97a28e2802e072fdf38817">bufferable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a5223359d0e1e316300e678afaa8cee96">CY_DMA_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gab0beed3c05362206ac66fc4327d8964b">Cy_DMA_Channel_Init</ref>(DW0,<sp />0UL,<sp />&amp;channelConfig))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga4c5cca40de761c4b7827ce65538bf12d">Cy_DMA_Channel_SetDescriptor</ref>(DW0,<sp />0UL,<sp />&amp;descriptor);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gae088032ef5679610fdcbea8d1b4a3cd3">Cy_DMA_Channel_SetPriority</ref>(DW0,<sp />0UL,<sp />3UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga13e6923cafe660ba825ba6d5b1841bf7">Cy_DMA_Channel_Enable</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__block__functions_1gad14b53935dc8321f395e49a7dfec2c5a">Cy_DMA_Enable</ref>(DW0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1605" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1599" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="517" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1ga29e33eb65906b09e28669d62d2e1b546" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_DMA_Channel_GetPriority</definition>
        <argsstring>(DW_Type const *base, uint32_t channel)</argsstring>
        <name>Cy_DMA_Channel_GetPriority</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Returns the priority of the DMA channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The priority of the channel.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />the<sp />DMA<sp />channel<sp />0<sp />of<sp />block<sp />DW0<sp />if<sp />it's<sp />priority<sp />equals<sp />3<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(3UL<sp />==<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga29e33eb65906b09e28669d62d2e1b546">Cy_DMA_Channel_GetPriority</ref>(DW0,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp /><ref kindref="member" refid="group__group__dma__block__functions_1ga20b7caf0e766daf03db12644c8dff173">Cy_DMA_GetActiveChannel</ref>(DW0))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga84ff3039034f39eb11962f19b1b2bae1">Cy_DMA_Channel_Disable</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gae2821469d78001afc568b0e484f684c1">Cy_DMA_Channel_DeInit</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />if<sp />needed<sp />(if<sp />there<sp />is<sp />only<sp />channel<sp />used)<sp />the<sp />whole<sp />block<sp />can<sp />be<sp />disabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__block__functions_1gada1f6b4da0ec1e3c54c07173a1bd4357">Cy_DMA_Disable</ref>(DW0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1632" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1627" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="518" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1ga6ef61cb63dafd8b822dea5f2e6995614" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__dma__enums_1ga7189163831c474aa76bcc6ede832b14e">cy_en_dma_intr_cause_t</ref></type>
        <definition>__STATIC_INLINE cy_en_dma_intr_cause_t Cy_DMA_Channel_GetStatus</definition>
        <argsstring>(DW_Type const *base, uint32_t channel)</argsstring>
        <name>Cy_DMA_Channel_GetStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Returns the interrupt reason of the specified channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The cause <ref kindref="member" refid="group__group__dma__enums_1ga7189163831c474aa76bcc6ede832b14e">cy_en_dma_intr_cause_t</ref> of the interrupt.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Inside<sp />the<sp />interrupt<sp />service<sp />routine<sp />for<sp />block<sp />DW0<sp />channel<sp />0:<sp />*/</highlight><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__macros_1gadaa223697209effceea2fd4a8c957c86">CY_DMA_INTR_MASK</ref><sp />==<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga3c2d11f8314b30f83dc8987b5e18f63c">Cy_DMA_Channel_GetInterruptStatusMasked</ref>(DW0,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />the<sp />interrupt<sp />cause<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__enums_1ga7189163831c474aa76bcc6ede832b14e">cy_en_dma_intr_cause_t</ref><sp />cause<sp />=<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga6ef61cb63dafd8b822dea5f2e6995614">Cy_DMA_Channel_GetStatus</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1gga7189163831c474aa76bcc6ede832b14ead85f85bcc56e4e5808433baf63cd2bab">CY_DMA_INTR_CAUSE_COMPLETION</ref><sp />!=<sp />cause)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Clear<sp />the<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga9c5df2a8d891163cc1cc996e7d76c967">Cy_DMA_Channel_ClearInterrupt</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1714" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1709" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="520" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1ga020fff71acefa4c88fd6d3dacfba4e75" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref> *</type>
        <definition>__STATIC_INLINE cy_stc_dma_descriptor_t * Cy_DMA_Channel_GetCurrentDescriptor</definition>
        <argsstring>(DW_Type const *base, uint32_t channel)</argsstring>
        <name>Cy_DMA_Channel_GetCurrentDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Returns the descriptor that is active in the channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The pointer to the descriptor associated with the channel.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />a<sp />descriptor<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(&amp;descriptor<sp />!=<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga020fff71acefa4c88fd6d3dacfba4e75">Cy_DMA_Channel_GetCurrentDescriptor</ref>(DW0,<sp />0UL))<sp /></highlight><highlight class="comment">/*<sp />Make<sp />sure<sp />it<sp />is<sp />not<sp />in<sp />use<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__descriptor__functions_1ga67ca76e4d5a5c17b2119ff07e89b0b93">Cy_DMA_Descriptor_DeInit</ref>(&amp;descriptor);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1659" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1654" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="522" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1ga7fc35a1163e4d27c69a6bb79cd0d0798" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_DMA_Channel_GetInterruptStatus</definition>
        <argsstring>(DW_Type const *base, uint32_t channel)</argsstring>
        <name>Cy_DMA_Channel_GetInterruptStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Returns the interrupt status of the specified channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of an interrupt for the specified channel.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Need<sp />to<sp />check<sp />the<sp /><sp />interrupt<sp />status<sp />regardless<sp />of<sp />whether<sp />it<sp />is<sp />enabled<sp />(masked)<sp />or<sp />not<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__macros_1gadaa223697209effceea2fd4a8c957c86">CY_DMA_INTR_MASK</ref><sp />==<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga7fc35a1163e4d27c69a6bb79cd0d0798">Cy_DMA_Channel_GetInterruptStatus</ref><sp />(DW0,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />DW0<sp />channel<sp />0<sp />interrupt<sp />is<sp />pending<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1687" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1682" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="524" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1ga9c5df2a8d891163cc1cc996e7d76c967" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_DMA_Channel_ClearInterrupt</definition>
        <argsstring>(DW_Type *base, uint32_t channel)</argsstring>
        <name>Cy_DMA_Channel_ClearInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Clears the interrupt status of the specified channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Inside<sp />the<sp />interrupt<sp />service<sp />routine<sp />for<sp />block<sp />DW0<sp />channel<sp />0:<sp />*/</highlight><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__macros_1gadaa223697209effceea2fd4a8c957c86">CY_DMA_INTR_MASK</ref><sp />==<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga3c2d11f8314b30f83dc8987b5e18f63c">Cy_DMA_Channel_GetInterruptStatusMasked</ref>(DW0,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />the<sp />interrupt<sp />cause<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__enums_1ga7189163831c474aa76bcc6ede832b14e">cy_en_dma_intr_cause_t</ref><sp />cause<sp />=<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga6ef61cb63dafd8b822dea5f2e6995614">Cy_DMA_Channel_GetStatus</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1gga7189163831c474aa76bcc6ede832b14ead85f85bcc56e4e5808433baf63cd2bab">CY_DMA_INTR_CAUSE_COMPLETION</ref><sp />!=<sp />cause)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Clear<sp />the<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga9c5df2a8d891163cc1cc996e7d76c967">Cy_DMA_Channel_ClearInterrupt</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1739" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1733" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="525" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1ga1e4c217a23c7c6e8f49de1f28dfe3dbe" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_DMA_Channel_SetInterrupt</definition>
        <argsstring>(DW_Type *base, uint32_t channel)</argsstring>
        <name>Cy_DMA_Channel_SetInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Sets the interrupt for the specified channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Enable<sp />interrupts<sp />for<sp />block<sp />DW0<sp />channel<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gab3e0528d8e57ee04dbbee89ffca38545">Cy_DMA_Channel_SetInterruptMask</ref><sp />(DW0,<sp />0UL,<sp /><ref kindref="member" refid="group__group__dma__macros_1gadaa223697209effceea2fd4a8c957c86">CY_DMA_INTR_MASK</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Test<sp />the<sp />interrupt<sp />for<sp />block<sp />DW0<sp />channel<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga1e4c217a23c7c6e8f49de1f28dfe3dbe">Cy_DMA_Channel_SetInterrupt</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Now<sp />the<sp />interrupt<sp />should<sp />occur<sp />(if<sp />it<sp />is<sp />enabled,<sp />of<sp />course)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />interrupts<sp />for<sp />block<sp />DW0<sp />channel<sp />0<sp />if<sp />it<sp />is<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__macros_1gadaa223697209effceea2fd4a8c957c86">CY_DMA_INTR_MASK</ref><sp />==<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga411730b6a2653cc096ff0c6d1373efa3">Cy_DMA_Channel_GetInterruptMask</ref>(DW0,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gab3e0528d8e57ee04dbbee89ffca38545">Cy_DMA_Channel_SetInterruptMask</ref><sp />(DW0,<sp />0UL,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1763" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1758" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="526" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1ga411730b6a2653cc096ff0c6d1373efa3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_DMA_Channel_GetInterruptMask</definition>
        <argsstring>(DW_Type const *base, uint32_t channel)</argsstring>
        <name>Cy_DMA_Channel_GetInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Returns the interrupt mask value of the specified channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The interrupt mask value.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Enable<sp />interrupts<sp />for<sp />block<sp />DW0<sp />channel<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gab3e0528d8e57ee04dbbee89ffca38545">Cy_DMA_Channel_SetInterruptMask</ref><sp />(DW0,<sp />0UL,<sp /><ref kindref="member" refid="group__group__dma__macros_1gadaa223697209effceea2fd4a8c957c86">CY_DMA_INTR_MASK</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Test<sp />the<sp />interrupt<sp />for<sp />block<sp />DW0<sp />channel<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga1e4c217a23c7c6e8f49de1f28dfe3dbe">Cy_DMA_Channel_SetInterrupt</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Now<sp />the<sp />interrupt<sp />should<sp />occur<sp />(if<sp />it<sp />is<sp />enabled,<sp />of<sp />course)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />interrupts<sp />for<sp />block<sp />DW0<sp />channel<sp />0<sp />if<sp />it<sp />is<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__macros_1gadaa223697209effceea2fd4a8c957c86">CY_DMA_INTR_MASK</ref><sp />==<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga411730b6a2653cc096ff0c6d1373efa3">Cy_DMA_Channel_GetInterruptMask</ref>(DW0,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gab3e0528d8e57ee04dbbee89ffca38545">Cy_DMA_Channel_SetInterruptMask</ref><sp />(DW0,<sp />0UL,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1790" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1785" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="527" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1gab3e0528d8e57ee04dbbee89ffca38545" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_DMA_Channel_SetInterruptMask</definition>
        <argsstring>(DW_Type *base, uint32_t channel, uint32_t interrupt)</argsstring>
        <name>Cy_DMA_Channel_SetInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interrupt</declname>
        </param>
        <briefdescription>
<para>Sets an interrupt mask value for the specified channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interrupt</parametername>
</parameternamelist>
<parameterdescription>
<para>The interrupt mask: CY_DMA_INTR_MASK to enable the interrupt or 0UL to disable the interrupt.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Enable<sp />interrupts<sp />for<sp />block<sp />DW0<sp />channel<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gab3e0528d8e57ee04dbbee89ffca38545">Cy_DMA_Channel_SetInterruptMask</ref><sp />(DW0,<sp />0UL,<sp /><ref kindref="member" refid="group__group__dma__macros_1gadaa223697209effceea2fd4a8c957c86">CY_DMA_INTR_MASK</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Test<sp />the<sp />interrupt<sp />for<sp />block<sp />DW0<sp />channel<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga1e4c217a23c7c6e8f49de1f28dfe3dbe">Cy_DMA_Channel_SetInterrupt</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Now<sp />the<sp />interrupt<sp />should<sp />occur<sp />(if<sp />it<sp />is<sp />enabled,<sp />of<sp />course)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />interrupts<sp />for<sp />block<sp />DW0<sp />channel<sp />0<sp />if<sp />it<sp />is<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__macros_1gadaa223697209effceea2fd4a8c957c86">CY_DMA_INTR_MASK</ref><sp />==<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga411730b6a2653cc096ff0c6d1373efa3">Cy_DMA_Channel_GetInterruptMask</ref>(DW0,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gab3e0528d8e57ee04dbbee89ffca38545">Cy_DMA_Channel_SetInterruptMask</ref><sp />(DW0,<sp />0UL,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1818" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1813" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="528" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__channel__functions_1ga3c2d11f8314b30f83dc8987b5e18f63c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_DMA_Channel_GetInterruptStatusMasked</definition>
        <argsstring>(DW_Type const *base, uint32_t channel)</argsstring>
        <name>Cy_DMA_Channel_GetInterruptStatusMasked</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Returns the logical AND of the corresponding INTR and INTR_MASK fields in a single-load operation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Inside<sp />the<sp />interrupt<sp />service<sp />routine<sp />for<sp />block<sp />DW0<sp />channel<sp />0:<sp />*/</highlight><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__macros_1gadaa223697209effceea2fd4a8c957c86">CY_DMA_INTR_MASK</ref><sp />==<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga3c2d11f8314b30f83dc8987b5e18f63c">Cy_DMA_Channel_GetInterruptStatusMasked</ref>(DW0,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />the<sp />interrupt<sp />cause<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__enums_1ga7189163831c474aa76bcc6ede832b14e">cy_en_dma_intr_cause_t</ref><sp />cause<sp />=<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga6ef61cb63dafd8b822dea5f2e6995614">Cy_DMA_Channel_GetStatus</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1gga7189163831c474aa76bcc6ede832b14ead85f85bcc56e4e5808433baf63cd2bab">CY_DMA_INTR_CAUSE_COMPLETION</ref><sp />!=<sp />cause)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Clear<sp />the<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga9c5df2a8d891163cc1cc996e7d76c967">Cy_DMA_Channel_ClearInterrupt</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1843" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="1838" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="529" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>